Subject: Re: [RFC net-next 3/3] drivers/vdpa: add NFP devices vDPA driver

From: Louis Peens <[email-masked]>
Date: Tue, 6 Aug 2024 08:20:39 +0200

On Tue, Aug 06, 2024 at 12:35:44PM +0800, Jason Wang wrote:
> On Fri, Aug 2, 2024 at 6:00 PM Louis Peens <[email-masked]> wrote:
> >
> > From: Kyle Xu <[email-masked]>
> >
> > Add a new kernel module ‘nfp_vdpa’ for the NFP vDPA networking driver.
> >
> > The vDPA driver initializes the necessary resources on the VF and the
> > data path will be offloaded. It also implements the ‘vdpa_config_ops’
> > and the corresponding callback interfaces according to the requirement
> > of kernel vDPA framework.
> >
> > Signed-off-by: Kyle Xu <[email-masked]>
> > Signed-off-by: Louis Peens <[email-masked]>
> 
> Are there performance numbers for this card?
I don't think it is well-optimized yet, but I'll request to have some
data captured for interest sake.

[...]
> Thanks
Thanks Jason for taking the time to review, these are good questions and
suggestions, will take some time to look over this with the team. We'll
then make some updates and/or provide answers on the questions for
further discussion where needed.

Regards
Louis